<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.remoting.connector.security.sasl.sasl-policy.policy" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="forward-secrecy,no-active,no-anonymous,no-dictionary,no-plain-text,pass-credentials"/>
        <elem name="addr-params" value="profile,subsystem,connector,security,sasl-policy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.remoting"/>
    </annotation>
    <refs>
        <ref feature="subsystem.remoting.connector.security.sasl"/>
        <ref feature="subsystem.remoting.connector"/>
        <ref feature="subsystem.remoting"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="no-active" nillable="true" stability="default"/>
        <param name="no-plain-text" nillable="true" stability="default"/>
        <param name="security" feature-id="true" default="sasl"/>
        <param name="connector" feature-id="true"/>
        <param name="pass-credentials" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="remoting"/>
        <param name="no-anonymous" nillable="true" stability="default"/>
        <param name="sasl-policy" feature-id="true" default="policy"/>
        <param name="forward-secrecy" nillable="true" stability="default"/>
        <param name="no-dictionary" nillable="true" stability="default"/>
    </params>
</feature-spec>